| Home | Libraries | People | FAQ | More

###### params_view::params_view (2 of 5 overloads)

Constructor.

###### Synopsis

    params_view(
        params_view const& other);

###### Description

After construction both views reference the same character buffer. Ownership is not transferred; the caller is responsible for ensuring the lifetime of the buffer extends until it is no longer referenced.

###### Postconditions

    this->buffer().data() == other.buffer().data()

###### Complexity

Constant.

###### Exception Safety

Throws nothing